## org.omg.PortableServer.POAPackage
Class ObjectAlreadyActiveHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.POAPackage.ObjectAlreadyActiveHelper

public class ObjectAlreadyActiveHelper
extends java.lang.Object

Helper class for : ObjectAlreadyActive

Author:
  OpenORB Compiler

Constructor Summary
`ObjectAlreadyActiveHelper()`

Method Summary
`static ObjectAlreadyActive` `extract(Any a)` Extract ObjectAlreadyActive from an any
`static java.lang.String` `id()` Return the ObjectAlreadyActive IDL ID
`static void` `insert(Any a, ObjectAlreadyActive t)` Insert ObjectAlreadyActive into an any
`static ObjectAlreadyActive` `read(InputStream istream)` Read ObjectAlreadyActive from a marshalled stream
`static TypeCode` `type()` Return the ObjectAlreadyActive TypeCode
`static void` `write(OutputStream ostream, ObjectAlreadyActive value)` Write ObjectAlreadyActive into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectAlreadyActiveHelper

    public ObjectAlreadyActiveHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ObjectAlreadyActive t)

  Insert ObjectAlreadyActive into an any
  Parameters:
    `a` - an any
    `t` - ObjectAlreadyActive value

### extract

    public static ObjectAlreadyActive extract(Any a)

  Extract ObjectAlreadyActive from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ObjectAlreadyActive value

### type

    public static TypeCode type()

  Return the ObjectAlreadyActive TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ObjectAlreadyActive IDL ID
  Returns:
    an ID

### read

    public static ObjectAlreadyActive read(InputStream istream)

  Read ObjectAlreadyActive from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ObjectAlreadyActive value

### write

    public static void write(OutputStream ostream,
                             ObjectAlreadyActive value)

  Write ObjectAlreadyActive into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ObjectAlreadyActive value